C====== MAIN PROGRAM FOR MESON=========
      INTEGER S,G,S1,
     * P(500),SI1(500),SI2(500),KK(500),
     * SS1(50),ORT(50),N(50),L(50),Q(50),SPI(50),
     * NNL(25)
      REAL*8 Z,R,BET,H,EPS,AKAP,MU,
     *   GAM(500),GAM1(500),
     *   TETA(50),ALM3(50),ALA(50),GAM2(50),
     *   C3(50),ALA1(50),ALA2(50),
     *   P1(25),SM(25),LAMM(75),
     *   R1(2015),R2(2015),R3(2015),R4(2015),
     *   R5(2015),R6(2015),R9(2015),R10(2015),
     *   R8(200000)
      NAMELIST/MSN/ Z,S,R,NE,BET,H,N,L,Q,L1,S1,
     *NU1,G,GAM,KK,SI1,AKAP,K1,EPS,
     *MU,IT,NU2,GAM1,GAM2,ORT,SPI
      KSU1=3
      OPEN(5,FILE='SYS$INPU',STATUS='OLD')
      READ(5,MSN)
      OPEN(6,FILE='SYS$OUTP',STATUS='NEW')
      OPEN(9,FILE='OLD$DB',STATUS='OLD',FORM='UNFORMATTED')
      OPEN(11,FILE='OLD$DB1',STATUS='OLD',FORM='UNFORMATTED')
      OPEN(12,FILE='OLD$DB2',STATUS='OLD',FORM='UNFORMATTED')
      IF(NE.GT.2000.OR.S.GT.50.OR.NU1.GT.200) WRITE(6,10)
 10   FORMAT(' CHECK ARRAY"S DIMENSIONS')
      CALL MESON(Z,S,R,NE,BET,H,N,L,Q,L1,S1,
     *     NU1,G,GAM,KK,SI1,AKAP,K1,EPS,
     *     MU,IT,NU2,GAM1,GAM2,ORT,KSU1,
     *     SI2,P,SS1,TETA,ALM3,ALA,C3,ALA1,ALA2,SPI,
     *     NNL,P1,SM,LAMM,
     *     R1,R2,R3,R4,R5,R6,R9,R10,R8)
      STOP
      END
